Update a connector channel config
Any change to the channel config will move the deployed version out of sync with the configuration and would need to redploy.
Authorization
oAuth2AuthCode In: header
Path Parameters
uuidMajor version number as an integer
- For 1.0.5 use
1 - For 2.5.6 use
2
You can also use latest for the latest version, or main for the currently main released version.
^main|latest|\d+$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/channel-configs" \ -H "Content-Type: application/json" \ -d '{ "columns": [ { "name": "column 1" }, { "name": "column 2" } ] }'{
"message": "Connector channel config updated."
}{
"message": "Bad request.",
"errors": {
"connector": "This operation is allowed only for connectors of type \"export\" and \"export-delta\"."
}
}{
"message": "You have to be authorized to access this resource."
}{
"message": "Connector not found."
}How is this guide?
Update Authentication registrations to connector version PUT
These authentications will create options on the connector forms for the user to authenticate with the chosen services. *Note*: This will move the connector version to updating/updated state.
Update a connector feature flags PUT
Any change to the feature flags will move the deployed version out of sync with the configuration and would need to redeploy.